Name: gnome-applet-netspeed    
Version: 0.14
Release: %mkrel 4
Summary: GNOME applet that shows traffic on a network device

Group: Graphical desktop/GNOME
License: GPL   
URL: http://mfcn.ilo.de/netspeed_applet
Source0: http://www.wh-hms.uni-ulm.de/~mfcn/netspeed/packages/netspeed_applet-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: pkgconfig, gettext, scrollkeeper, intltool
BuildRequires: perl-XML-Parser, gnome-doc-utils
BuildRequires: libgnomeui2-devel >= 2.8, libgtop2.0-devel
BuildRequires: gnome-panel-devel >= 2.8, libnotify-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Provides: netspeed_applet = %{version}-%{release}
Obsoletes: netspeed_applet <= 0.12.1

%description
netspeed is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%prep
%setup -q -n netspeed_applet-%{version}

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang netspeed_applet

%post
scrollkeeper-update -q -o %{_datadir}/omf/netspeed_applet || : 

%postun
scrollkeeper-update -q || :

%clean
rm -rf $RPM_BUILD_ROOT


%files -f netspeed_applet.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%doc %{_datadir}/gnome/help/netspeed_applet/
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/netspeed_applet/


%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.14-4mdv2009.0
+ Revision: 246350
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.14-2mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 08 2007 Funda Wang <fundawang@mandriva.org> 0.14-2mdv2008.0
+ Revision: 24999
- Fix wrong rpm group

* Mon Apr 30 2007 Jérôme Soyer <saispo@mandriva.org> 0.14-1mdv2008.0
+ Revision: 19503
- Fix typo
- Add docutils
- Import gnome-applet-netspeed

